/*================================================================================
	Item Name: Vuexy - Vuejs, HTML & Laravel Admin Dashboard Template
	Version: 2.0
	Author: PIXINVENT
	Author URL: http://www.themeforest.net/user/pixinvent
================================================================================

NOTE:
------
PLACE HERE YOUR OWN SCSS CODES AND IF NEEDED, OVERRIDE THE STYLES FROM THE OTHER STYLESHEETS.
WE WILL RELEASE FUTURE UPDATES SO IN ORDER TO NOT OVERWRITE YOUR STYLES IT'S BETTER LIKE THIS.  */

.player {
	width:100%;
	border-radius: 5px;
	box-shadow:0 0 20px rgba(0,0,0,0.2);
	position: relative;
	font-size: 0;
	overflow: hidden;
	visibility: hidden;
  }
  
  /* This css is only applied when fullscreen is active. */
  .player:fullscreen {
	max-width: none;
	width: 100%;
  }
  
  .player:-webkit-full-screen {
	max-width: none;
	width: 100%;
  }
  
  .player__video {
	width: 100%;
  }
  
  .player__button {
	background:none;
	border:0;
	line-height:1;
		margin: 0 ;
	color:white;
	text-align: center;
	outline:0; font-weight: bold;
	padding: 0;
	cursor:pointer;
	max-width:40px;
		font-size: 15px;
  }
  
  .player__button:focus {
	border-color: linear-gradient(96deg,#f0ac0e 0%,#ff7426 100%);
  }
  
  .player__slider {
	width:10px;
	height:30px;
  }
  
  .player__controls {
	  display: flex;
	position: absolute;
	font-weight: bold;
	left: 0;
		align-items: center;
	bottom: 0;
	width: 100%;
	transform: translateY(100%) translateY(-5px);
	transition: all .3s;
	flex-wrap: wrap;
	background: rgba(0,0,0,.4);
	color: #fff;
	z-index: 2147483648;
	background: linear-gradient(rgba(0,0,0,0),rgba(0,0,0,.75));
	background: var(--plyr-video-controls-background,linear-gradient(rgba(0,0,0,0),rgba(0,0,0,1.75)));
	border-bottom-left-radius: inherit;
	border-bottom-right-radius: inherit;
	bottom: 0;
	color: #fff;
	color: var(--plyr-video-control-color,#fff);
	left: 0;
	padding: calc(10px / 2);
	padding: calc(var(--plyr-control-spacing,10px)/ 2);
	padding-top: calc(10px * 2);
	padding-top: calc(var(--plyr-control-spacing,10px) * 2);
	position: absolute;
	right: 0;
	transition: opacity .4s ease-in-out,transform .4s ease-in-out;
	z-index: 3;
  }
  
  .player:hover .player__controls {
	transform: translateY(0);
  }
  
  .player:hover .progress {
	height:15px;
  }
  
  .player__controls > * {
	flex:1;
  }
  
  .progress {
	flex: 10;
	position: relative;
	display: flex;
	margin: 0 10px;
	height: 15px;
	align-self: center;
	transition: height .3s;
	background: rgba(40, 199, 111, 0.12);
	cursor: ew-resize;
	border-radius: 10px;
  }
  
  .current,
  .duration,
  .round-btn, .fsbtn {
	max-width: 65px;
	color: #fff;
	font-size: 14px;
	margin: auto 0px;
	padding: 0 7px;
  }
  
  .round-btn, .fsbtn {
	  color: #000;
	  margin: auto 6px;
	  background-color: #f9f9f9;
	  border-radius: 10px;
	  border: 0;
	  background-image: none;
	  height: 20px;
  }
  
  .progress__filled {
	width:50%;
	background:linear-gradient(96deg,#f0ac0e 0%,#ff7426 100%);
	flex:0;
	flex-basis:0%;
	border-radius: 10px;
  }
  
  .progress__filled .current {
	position: absolute;
	right: 0;
	top: -10px;
	border-radius: 10px;
  }
  
  /* unholy css to style input type="range" */
  
  video::-webkit-media-controls {
	display:none !important;
  }
  
  input[type=range] {
	-webkit-appearance: none;
	background:transparent;
	width: 100%;
	margin: 0 5px;
  }
  input[type=range]:focus {
	outline: none;
  }
  input[type=range]::-webkit-slider-runnable-track {
	width: 100%;
	height: 8.4px;
	cursor: pointer;
	box-shadow: 1px 1px 1px rgba(0, 0, 0, 0), 0 0 1px rgba(13, 13, 13, 0);
	background: rgba(255,255,255,0.8);
	border-radius: 1.3px;
	border: 0.2px solid rgba(1, 1, 1, 0);
  }
  input[type=range]::-webkit-slider-thumb {
	height: 15px;
	width: 15px;
	border-radius: 50px;
	background: linear-gradient(96deg,#f0ac0e 0%,#ff7426 100%);
	cursor: pointer;
	-webkit-appearance: none;
	margin-top: -3.5px;
	box-shadow:0 0 2px rgba(0,0,0,0.2);
  }
  input[type=range]:focus::-wefbkit-slider-runnable-track {
	background: #bada55;
  }
  input[type=range]::-moz-range-track {
	width: 100%;
	height: 8.4px;
	cursor: pointer;
	box-shadow: 1px 1px 1px rgba(0, 0, 0, 0), 0 0 1px rgba(13, 13, 13, 0);
	background: #ffffff;
	border-radius: 1.3px;
	border: 0.2px solid rgba(1, 1, 1, 0);
  }
  input[type=range]::-moz-range-thumb {
	box-shadow: 0 0 0 rgba(0, 0, 0, 0), 0 0 0 rgba(13, 13, 13, 0);
	height: 15px;
	width: 15px;
	border-radius: 50px;
	background: linear-gradient(96deg,#f0ac0e 0%,#ff7426 100%);
	cursor: pointer;
  }
  
  .player__dropdown {
	max-width: 100px;
	font-size: 10px;
	margin: auto 0px;
	padding: 0 7px;
	  border-radius: 10px;
	  background: white;
	color: black;
	font-weight: bold;
	text-align-last: center;
	align-content: center;
	height: 20px;
	width: auto;
		}
  
  
  @media only screen and (max-width: 600px) {
  
	.current, .duration, .fsbtn {
		/* max-width: 50px; */
		color: #fff;
		font-size: 14px!important;
		margin: auto 0;
		padding: 0px 10px!important;
  
	}
	.toggle {
		font-size: 15px;
		margin: 0 5px!important;
  
	}
	input[type="range"] {
		display: none;
	}
	
	.player__button{
			  margin: 0 5px;
	}
	.fsbtn {
		display: none!important;
	}
	.player {
		width:100%;
	  }
	  .progress {
	  margin: 0 5px;
	}
  
  }
  